using System;
using System.Collections.Generic;
#if WASM
   using CommonHelpers.WASM;
   using BookRegistry.Client.DB;
namespace BookRegistry.Client {
#else // !WASM:
   using CommonHelpers;
   using BookRegistry.Server.DB;
namespace BookRegistry.Server {
#endif // !WASM
//==================================================================================================

public class GetBookSelectionCollections_Response: GeneralApiResponse
{
   public List<BookAuthor_Item> Authors {
      get => GetIfSuccess( NAuthors );
      set => NAuthors = value; } internal List<BookAuthor_Item>? NAuthors;
   public List<BookCategory_Item> Categories {
      get => GetIfSuccess( NCategories );
      set => NCategories = value; } internal List<BookCategory_Item>? NCategories;
   public List<LiteratureGenre_Item> Genres {
      get => GetIfSuccess( NGenres );
      set => NGenres = value; } internal List<LiteratureGenre_Item>? NGenres;
   public List<BookPublisher_Item> Publishers {
      get => GetIfSuccess( NPublishers );
      set => NPublishers = value; } internal List<BookPublisher_Item>? NPublishers;
   public List<BookSeries_Item> Series {
      get => GetIfSuccess( NSeries );
      set => NSeries = value; } internal List<BookSeries_Item>? NSeries;

   public GetBookSelectionCollections_Response() {}
   public GetBookSelectionCollections_Response(GeneralApiResponse simpleResponse)
   : base( simpleResponse ) {} // This constructor may be used in automatic token(s) refresh.
#if SERVER
   internal GetBookSelectionCollections_Response(HSPCommandResult spResult)
   : base( spResult ) {}
#endif // SERVER
} // GetBookSelectionCollections_Response

//==================================================================================================
} // BookRegistry.Client/Server
